> For the complete documentation index, see [llms.txt](https://docs.pharos.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pharos.xyz/node-and-validator-guide/node-management.md).

# Node Management

### Node Initialization

Pharos Full Nodes automatically generate cryptographic keys on startup — no manual configuration is needed. To start a validator node, run the following command in your working directory:

```sh
docker start atlantic-testnet
```

### Entering the container

```sh
docker exec -it atlantic-testnet /bin/bash
```

### Join validator sets

If your full node has synced up with the latest block, you can convert it to a validator.

If you need to join Pharos Atlantic as a Validator, please contact and send domain file and pubkeys to <janesh@dplabs.xyz> or TG ([@janesh\_dani](https://t.me/janesh_dani/))

⚠️ Note: If more than one-third of validators go offline, the Atlantic may halt due to consensus safety constraints.

⚠️ To join the network, the corresponding account needs to stake a certain amount of tokens. Please contact us to obtain the staking tokens.

* Pack needed files into `node_info.tar.gz`
  * <mark style="color:green;">`tar -zcvf node_info.tar.gz /data/atlantic/domain.json`</mark> \ <mark style="color:green;">`/data/atlantic/resources/domain_keys/prime256v1/domain/new.pub`</mark> \ <mark style="color:green;">`/data/atlantic/resources/domain_keys/bls12381/domain/new.pub`</mark>
* Domain config:
  * <mark style="color:green;">`/data/atlantic/domain.json`</mark>
* Node pubkeys:
  * <mark style="color:green;">`/data/atlantic/resources/domain_keys/prime256v1/domain/new.pub`</mark>
  * <mark style="color:green;">`/data/atlantic/resources/domain_keys/bls12381/domain/new.pub`</mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pharos.xyz/node-and-validator-guide/node-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
